## gegl-types

gegl-types

## Types and Values

#define | GEGL_AUTO_ROWSTRIDE
enum | GeglPadType
enum | GeglBlitFlags
enum | GeglSplitStrategy
| GeglAudioFragment
| GeglColor
| GeglCurve
| GeglOperationContext
| GeglPath

## Description

## Functions

## Types and Values

### GEGL_AUTO_ROWSTRIDE

    #define             GEGL_AUTO_ROWSTRIDE

### enum GeglPadType

#### Members

GEGL_PARAM_PAD_OUTPUT |  |
GEGL_PARAM_PAD_INPUT |  |

### enum GeglBlitFlags

#### Members

GEGL_BLIT_DEFAULT |  |
GEGL_BLIT_CACHE |  |
GEGL_BLIT_DIRTY |  |

### enum GeglSplitStrategy

#### Members

GEGL_SPLIT_STRATEGY_AUTO |  |
GEGL_SPLIT_STRATEGY_HORIZONTAL |  |
GEGL_SPLIT_STRATEGY_VERTICAL |  |

### GeglAudioFragment

    typedef struct {
      GObject parent_instance;
      float  *data[GEGL_MAX_AUDIO_CHANNELS];
      GeglAudioFragmentPrivate *priv;
    } GeglAudioFragment;

### GeglColor

    typedef struct {
      GObject           parent_instance;
      GeglColorPrivate *priv;
    } GeglColor;

### GeglCurve

    typedef struct {
      GObject parent_instance;
    } GeglCurve;

### GeglOperationContext

    typedef struct {
      GeglOperation *operation;

      GSList        *property;    /* used internally for data being exchanged */
      GeglRectangle  need_rect;   /* the rectangle needed from the operation */
      GeglRectangle  result_rect; /* the result computation rectangle for the operation ,
                                     (will differ if the needed rect extends beyond
                                     the defined rectangle, some operations might
                                     force/suggest expansion of the result
                                     rect, like contrast stretching.
                                   */

      gboolean       cached;       /* true if the cache can be used directly, and
                                      recomputation of inputs is unnecessary) */

      gint           refs;         /* set to number of nodes that depends on it
                                      before evaluation begins, each time data is
                                      fetched from the op the reference count is
                                      dropped, when it drops to zero, the op is
                                      asked to clean it's pads, FIXME: should be
                                      incorporated into the refcount of
                                      GeglOperationContext?
                                    */
      gint           level;         /* subdivision level to render at, 0 = 1:1,
                                                                       1 = 1:2,
                                                                       2 = 1:4,
                                                                       4 = 1:8,
                                                                       6 = 1:16 .. */
      GHashTable    *contexts;      /* to be able to look up the context of
                                       other nodes/ops in the graph we store the
                                       hashtable we will be stored in */
    } GeglOperationContext;

### GeglPath

    typedef struct {
      GObject parent_instance;
    } GeglPath;